From 662c9aeb23e569622a9e9824fee82a5dbc484cb0 Mon Sep 17 00:00:00 2001
From: Tilghman Lesher <tilghman@meg.abyt.es>
Date: Mon, 9 Jan 2006 23:20:50 +0000
Subject: [PATCH] Bug 6106 - SuSE startup script

git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@7919 65c4cc65-6c06-0410-ace0-fbb531ad65f3
---
 contrib/init.d/rc.suse.asterisk | 118 ++++++++++++++++++++++++++++++++
 1 file changed, 118 insertions(+)
 create mode 100755 contrib/init.d/rc.suse.asterisk

diff --git a/contrib/init.d/rc.suse.asterisk b/contrib/init.d/rc.suse.asterisk
new file mode 100755
index 0000000000..88293703b0
--- /dev/null
+++ b/contrib/init.d/rc.suse.asterisk
@@ -0,0 +1,118 @@
+#!/bin/sh
+# $Id: asterisk,v 1.3 2005/11/17 22:30:01 Gregory Boehnlein <damin@nacs.net>
+#
+# asterisk    Starts, Stops and Reloads Asterisk.
+#
+# chkconfig: 2345 40 60
+# description: Asterisk PBX and telephony daemon.
+# processname: asterisk
+# pidfile: /var/run/asterisk.pid
+#
+# Thu Nov 17 2005 Gregory Boehnlein <damin@nacs.net>
+# - Updated Version to 1.3
+# - Reversed behavior of LD_ASSUME_KERNEL=2.4.1
+# - Added detailed failure messages
+#
+# Sun Jul 18 2004 Gregory Boehnlein <damin@nacs.net>
+# - Updated Version to 1.2
+# - Added test for safe_asterisk
+# - Verified SIGTERM issued by "killproc" ensures "stop gracefully"
+# - Added support for -U and -G command line options
+# - Modified "reload" to call asterisk -rx 'reload' 
+
+# Source function library.
+. /lib/lsb/init-functions
+
+if ! [ -x /usr/sbin/asterisk ] ; then
+	echo "ERROR: /usr/sbin/asterisk not found"
+	exit 0
+fi
+
+if ! [ -d /etc/asterisk ] ; then
+	echo "ERROR: /etc/asterisk directory not found"
+	exit 0
+fi
+
+# Uncomment this ONLY if you know what you are doing.
+# export LD_ASSUME_KERNEL=2.4.1
+
+# Full path to asterisk binary
+DAEMON=/usr/sbin/asterisk
+
+# Full path to safe_asterisk script
+SAFE_ASTERISK=/usr/sbin/safe_asterisk
+
+# Uncomment the following and set them to the user/groups that you
+# want to run Asterisk as. NOTE: this requires substantial work to
+# be sure that Asterisk's environment has permission to write the
+# files required  for  its  operation, including logs, its comm
+# socket, the asterisk database, etc.
+#AST_USER="asterisk"
+#AST_GROUP="asterisk"
+
+RETVAL=0
+
+start() {
+	# Start daemons.
+	echo -n $"Starting asterisk: "
+        if [ -f $SAFE_ASTERISK ] ; then
+		DAEMON=$SAFE_ASTERISK
+	fi
+	if [ $AST_USER ] ; then
+		ASTARGS="-U $AST_USER"
+	fi
+	if [ $AST_GROUP ] ; then
+		ASTARGS="`echo $ASTARGS` -G $AST_GROUP"
+	fi
+	$DAEMON $ASTARGS
+	RETVAL=$?
+	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/asterisk
+	echo
+	return $RETVAL
+}
+
+stop() {
+	# Stop daemons.
+	echo -n $"Shutting down asterisk: "
+	killproc asterisk
+	RETVAL=$?
+	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/asterisk
+	echo
+	return $RETVAL
+}
+
+restart() {
+	stop
+	start
+}
+
+reload() {
+	$DAEMON -rx 'reload' > /dev/null 2> /dev/null
+}
+
+# See how we were called.
+case "$1" in
+  start)
+	start
+	;;
+  stop)
+	stop
+	;;
+  restart)
+	restart
+	;;
+  reload)
+	reload
+	;;
+  condrestart)
+	[ -f /var/lock/subsys/asterisk ] && restart || :
+	;;
+  status)
+	status asterisk
+	;;
+  *)
+	echo "Usage: asterisk {start|stop|restart|reload|condrestart|status}"
+	exit 1
+esac
+
+exit $?
-- 
GitLab